#include "1tr6.h"


static
struct vtsl mt_n0[] = {
	{MT_N0_REG_IND,		"REGister INDication"},
	{MT_N0_CANC_IND,	"CANCel INDication"},
	{MT_N0_FAC_STA,		"FACility STAtus"},
	{MT_N0_STA_ACK,		"STAtus ACKnowledge"},
	{MT_N0_STA_REJ,		"STAtus REJect"},
	{MT_N0_FAC_INF,		"FACility INFormation"},
	{MT_N0_INF_ACK,		"INFormation ACKnowledge"},
	{MT_N0_INF_REJ,		"INFormation REJect"},
	{MT_N0_CLOSE,		"CLOSE"},
	{MT_N0_CLO_ACK,		"CLOse ACKnowledge"}
};
#define MT_N0_LEN (sizeof(mt_n0) / sizeof(struct vtsl))


static
struct vtsl mt_n1[] = {
	{MT_N1_ESC,		"ESCape"},
	{MT_N1_ALERT,		"ALERT"},
	{MT_N1_CALL_SENT,	"CALL SENT"},
	{MT_N1_CONN,		"CONNect"},
	{MT_N1_CONN_ACK,	"CONNect ACKnowledge"},
	{MT_N1_SETUP,		"SETUP"},
	{MT_N1_SETUP_ACK,	"SETUP ACKnowledge"},
	{MT_N1_RES,		"RESume"},
	{MT_N1_RES_ACK,		"RESume ACKnowledge"},
	{MT_N1_RES_REJ,		"RESume REJect"},
	{MT_N1_SUSP,		"SUSPend"},
	{MT_N1_SUSP_ACK,	"SUSPend ACKnowledge"},
	{MT_N1_SUSP_REJ,	"SUSPend REJect"},
	{MT_N1_USER_INFO,	"USER INFO"},
	{MT_N1_DET,		"DETach"},
	{MT_N1_DISC,		"DISConnect"},
	{MT_N1_REL,		"RELease"},
	{MT_N1_REL_ACK,		"RELease ACKnowledge"},
	{MT_N1_CANC_ACK,	"CANCel ACKnowledge"},
	{MT_N1_CANC_REJ,	"CANCel REJect"},
	{MT_N1_CON_CON,		"CONgestion CONtrol"},
	{MT_N1_FAC,		"FACility"},
	{MT_N1_FAC_ACK,		"FACility ACKnowledge"},
	{MT_N1_FAC_CAN,		"FACility CANcel"},
	{MT_N1_FAC_REG,		"FACility REGister"},
	{MT_N1_FAC_REJ,		"FACility REJect"},
	{MT_N1_INFO,		"INFOrmation"},
	{MT_N1_REG_ACK,		"REGister ACKnowledge"},
	{MT_N1_REG_REJ,		"REGister REJect"},
	{MT_N1_STAT,		"STATus"}
};
#define MT_N1_LEN (sizeof(mt_n1) / sizeof(struct vtsl))


static struct vtsl fac_1tr6[] = {
	{FAC_Sperre,		"Sperre"},
	{FAC_Forward1,		"Forward 1"},
	{FAC_Forward2,		"Forward 2"},
	{FAC_Konferenz,		"Konferenz"},
	{FAC_GrabBchan,		"Grab Bchannel"},
	{FAC_Reactivate,	"Reactivate"},
	{FAC_Konferenz3,	"Dreier Konferenz"},
	{FAC_Dienstwechsel1,	"Einseitiger Dienstwechsel"},
	{FAC_Dienstwechsel2,	"Zweiseitiger Dienstwechsel"},
	{FAC_NummernIdent,	"Rufnummer-Identifizierung"},
	{FAC_GBG,		"GBG"},
	{FAC_DisplayUebergeben,	"Display Uebergeben"},
	{FAC_DisplayUmgeleitet,	"Display Umgeleitet"},
	{FAC_Unterdruecke,	"Unterdruecke Rufnummer"},
	{FAC_Deactivate,	"Deactivate"},
	{FAC_Activate,		"Activate"},
	{FAC_SPV,		"SPV"},
	{FAC_Rueckwechsel,	"Rueckwechsel"},
	{FAC_Umleitung,		"Umleitung"}
};
#define FAC_1TR6_LEN (sizeof(fac_1tr6) / sizeof(struct vtsl))


static
struct vtsl cause_1tr6[] = {
	{CAUSE_InvCRef,			"Invalid Call Reference"},
	{CAUSE_BearerNotImpl,		"Bearer Service Not Implemented"},
	{CAUSE_CIDunknown,		"Caller Identity unknown"},
	{CAUSE_CIDinUse,		"Caller Identity in Use"},
	{CAUSE_NoChans,			"No Channels available"},
	{CAUSE_FacNotImpl,		"Facility Not Implemented"},
	{CAUSE_FacNotSubscr,		"Facility Not Subscribed"},
	{CAUSE_OutgoingBarred,		"Outgoing calls barred"},
	{CAUSE_UserAccessBusy,		"User Access Busy"},
	{CAUSE_NegativeGBG,		"Negative GBG"},
	{CAUSE_UnknownGBG,		"Unknown  GBG"},
	{CAUSE_NoSPVknown,		"No SPV known"},
	{CAUSE_DestNotObtain,		"Destination not obtainable"},
	{CAUSE_NumberChanged,		"Number changed"},
	{CAUSE_OutOfOrder,		"Out Of Order"},
	{CAUSE_NoUserResponse,		"No User Response"},
	{CAUSE_UserBusy,		"User Busy"},
	{CAUSE_IncomingBarred,		"Incoming Barred"},
	{CAUSE_CallRejected,		"Call Rejected"},
	{CAUSE_NetworkCongestion,	"Network Congestion"},
	{CAUSE_RemoteUser,		"Remote User initiated"},
	{CAUSE_LocalProcErr,		"Local Procedure Error"},
	{CAUSE_RemoteProcErr,		"Remote Procedure Error"},
	{CAUSE_RemoteUserSuspend,	"Remote User Suspend"},
	{CAUSE_RemoteUserResumed,	"Remote User Resumed"},
	{CAUSE_UserInfoDiscarded,	"User Info Discarded"}
};
#define CAUSE_1TR6_LEN (sizeof(cause_1tr6) / sizeof(struct vtsl))


static
struct InformationElement we_0[] = {
	{WE0_cause,		"Cause",			prcause_1tr6},
	{WE0_connAddr,		"Connecting Address",		prcalled},
	{WE0_callID,		"Call IDentity",		general},
	{WE0_chanID,		"Channel IDentity",		general},
	{WE0_netSpecFac,	"Network Specific Facility",	general},
	{WE0_display,		"Display",			general},
	{WE0_keypad,		"Keypad",			general},
	{WE0_origAddr,		"Origination Address",		prcalled},
	{WE0_destAddr,		"Destination Address",		prcalled},
	{WE0_userInfo,		"User Info",			general}
};
#define WE_0_LEN (sizeof(we_0) / sizeof(struct InformationElement))


static
struct InformationElement we_6[] = {
	{WE6_serviceInd,	"Service Indicator",			general},
	{WE6_chargingInfo,	"Charging Information",			prcharge},
	{WE6_date,		"Date",					prtext},
	{WE6_facSelect,		"Facility Select",			general},
	{WE6_facStatus,		"Facility Status",			general},
	{WE6_statusCalled,	"Status Called",			general},
	{WE6_addTransAttr,	"Additional Transmission Attributes",	general}
};
#define WE_6_LEN (sizeof(we_6) / sizeof(struct InformationElement))


/*
{1, "Invalid call reference value"},
{3, "Bearer service not implemented"},
{7, "Call identity does not exist"},
{8, "Call identity in use"},
{10, "No channel available"},
{16, "Requested facility not implemented"},
{17, "Request facility no subscribed"},
{32, "Outgoing calls barred"},
{33, "User access busy"},
{34, "Negative CUG comparison"},
{35, "Non existent CUG"},
{37, "Communication as semi-permanent link not permitted"},
{53, "Destination not obtainable"},
{56, "Number changed"},
{57, "Out of order"},
{58, "No user responding"},
{59, "User busy"},
{61, "Incoming calls barred"},
{62, "Call rejected / Answered elsewhere"},
{89, "Network congestion"},
{90, "Remote user initiated"},
{112, "Local procedure error"},
{113, "Remote procedure error"},
{114, "Remote user suspended"},
{115, "Remote user resumed"},
{127, "User Info discarded locally"},
*/
